Subject: bug#68765: 30.0.50; Adding window-tool-bar package.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Jun 2024 15:10:42 +0300

> Date: Tue, 04 Jun 2024 21:22:55 -0700
> From: Jared Finder <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> 
> On 2024-06-04 08:59, Eli Zaretskii wrote:
> > I'm not against tool-bar-always-show-default and its effect.  But
> > introducing that optional behavior doesn't require any particular
> > behavior from window-specific tool bars, it's almost an orthogonal
> > feature.
> > 
> > My conclusion from this is that the two considerations you provided
> > in favor of a much more complex behavior do not contradict my
> > suggestion.  The first consideration is about a very rare case, which
> > we could simply ignore (but if you feel strongly about  detecting
> > empty tool bars and not displaying them, I won't object), while the
> > second consideration  does not require the complicated behavior of
> > window-specific tool bars.
> 
> This sounds like a good result.  I do think that auto-hiding the window 
> tool bar when tool-bar-map is nil is very valuable and is 
> straightforward to implement.
> 
> I have attached a new documentation patch describing the intended 
> behavior.  If this looks good to you I can draft a patch to 
> window-tool-bar.el based on all the feedback thus far.

This LGTM, with one comment: you mention in the section about window
tool bars that it cannot be shown if a tab line is shown in the
window, but you don't have a similar caveat in the section about tab
lines.  I think we should add a similar caveat there as well.